﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace ObjectBinding
{
    public partial class ViewManyProducts : Window
    {
        List<Product> products = new List<Product>
        {
            new Product {ProductID = 42, ProductName = "Bugatti", CategoryID = 2, UnitPrice = 950000, UnitsInStock = 5   },
            new Product {ProductID = 54, ProductName = "Porsche", CategoryID = 2, UnitPrice = 750000, UnitsInStock = 8   },
            new Product {ProductID = 83, ProductName = "iPad",    CategoryID = 5, UnitPrice = 450,    UnitsInStock = 255 },
            new Product {ProductID = 89, ProductName = "Kindle",  CategoryID = 5, UnitPrice = 200,    UnitsInStock = 301 },
            new Product {ProductID = 94, ProductName = "iPhone",  CategoryID = 5, UnitPrice = 105,    UnitsInStock = 980 },
        };
        
        public ViewManyProducts()
        {
            InitializeComponent();
        }

        private void GetProductsButton_Click(object sender, RoutedEventArgs e)
        {
            this.ProductsListBox1.ItemsSource = products;
            this.ProductsListBox2.ItemsSource = products;
        }
    }
}
